Subject: [TR] Enkei wheel caps needed

From: Pat Fischer <[email-masked]>
Date: Fri, 05 Sep 2014 13:53:01 -0500

Hello, listers!  Writing to ask you help in finding an early 80s era 
wheel cap for the Enkei 92 series mags on my TR250. They're black, about 
3" in diameter where they snap into the wheel center hole, Have the 
"ENKEI" logo in the middle, and they hang on (when they do) somewhat 
loosely.  And you can just imagine that one of mine let go on the way 
home from the South Central Regional VTR.

Enkei is remaking a wheel they call the 92 series, but the new caps are 
smaller.

Any advice/assistance in replacing this antique is appreciated. TIA.

Pat Fischer

** [email-masked] **

Archive: http://www.team.net/archive